using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.HuiJu
{
    /// <summary>
    /// 电话记录
    /// </summary>
    public class SubmitCaseRecordInfo
    {
        /// <summary>
        /// 电话号码
        /// </summary>
        [JsonPropertyName("PHONE_NUMBER")]
        public string PhoneNumber { get; set; }

        /// <summary>
        /// 通话状态
        /// </summary>
        [JsonPropertyName("PHONE_STATUS")]
        public string PhoneStatus { get; set; }

        /// <summary>
        /// 是否呼出
        /// </summary>
        [JsonPropertyName("IS_PHONECALL")]
        public string IsPhoneCall { get; set; }

        /// <summary>
        /// 接通电话时间
        /// </summary>
        [JsonPropertyName("CALL_START")]
        public DateTime CallStart { get; set; }

        /// <summary>
        /// 通话结束时间
        /// </summary>
        [JsonPropertyName("CALL_END")]
        public DateTime CallEnd { get; set; }

        /// <summary>
        /// 进ivr时间
        /// </summary>
        [JsonPropertyName("IN_IVR")]
        public DateTime InIvr { get; set; }

        /// <summary>
        /// 进队列时间
        /// </summary>
        [JsonPropertyName("IN_QUEUE")]
        public DateTime InQueue { get; set; }

        /// <summary>
        /// 振铃时间
        /// </summary>
        [JsonPropertyName("CALL_TIME")]
        public DateTime CallTime { get; set; }

        /// <summary>
        /// 通话时长
        /// </summary>
        [JsonPropertyName("CALL_LENGTH")]
        public int CallLength { get; set; }

        /// <summary>
        /// 坐席人员工号
        /// </summary>
        [JsonPropertyName("SEAT_NUMBER")]
        public string SeatNumber { get; set; } = "";

        /// <summary>
        /// 录音路径
        /// </summary>
        [JsonPropertyName("ACCORDURL")]
        public string AccordUrl { get; set; } = "";

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; } = "";

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }
    }
}
